org.jbpm.services.ejb.api

## Interface RuntimeDataServiceEJBRemote

- All Superinterfaces:
    DeploymentEventListener, RuntimeDataService
  All Known Implementing Classes:
    RuntimeDataServiceEJBImpl

      public interface RuntimeDataServiceEJBRemote
      extends RuntimeDataService, DeploymentEventListener

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jbpm.services.api.RuntimeDataService

      `RuntimeDataService.EntryType`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.internal.task.query.TaskSummaryQueryBuilder` | `taskSummaryQuery(String userId)` This method is not supported in EJB remote api as `TaskSummaryQueryBuilder`is not remote capable object``

    - ### Methods inherited from interface org.jbpm.services.api.RuntimeDataService

      `getAllAdminAuditTask, getAllAuditTask, getAllAuditTaskByStatus, getAllGroupAuditTask, getNodeInstanceForWorkItem, getNodeInstancesByCorrelationKeyNodeType, getNodeInstancesByNodeType, getProcessById, getProcesses, getProcessesByDeploymentId, getProcessesByDeploymentIdProcessId, getProcessesByFilter, getProcessesById, getProcessIds, getProcessInstanceByCorrelationKey, getProcessInstanceById, getProcessInstanceFullHistory, getProcessInstanceFullHistoryByType, getProcessInstanceHistoryActive, getProcessInstanceHistoryCompleted, getProcessInstances, getProcessInstances, getProcessInstancesByCorrelationKey, getProcessInstancesByCorrelationKeyAndStatus, getProcessInstancesByDeploymentId, getProcessInstancesByParent, getProcessInstancesByProcessDefinition, getProcessInstancesByProcessDefinition, getProcessInstancesByProcessId, getProcessInstancesByProcessName, getProcessInstancesByVariable, getProcessInstancesByVariableAndValue, getProcessInstancesWithSubprocessByProcessInstanceId, getTaskById, getTaskById, getTaskByWorkItemId, getTaskEvents, getTasksAssignedAsBusinessAdministrator, getTasksAssignedAsBusinessAdministratorByStatus, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwnerByExpirationDateOptional, getTasksAssignedAsPotentialOwnerByStatus, getTasksByProcessInstanceId, getTasksByStatusByProcessInstanceId, getTasksByVariable, getTasksByVariableAndValue, getTasksOwned, getTasksOwnedByExpirationDateOptional, getTasksOwnedByStatus, getVariableHistory, getVariablesCurrentState`

    - ### Methods inherited from interface org.jbpm.services.api.DeploymentEventListener

      `onActivate, onDeactivate, onDeploy, onUnDeploy`

- - ### Method Detail

    - #### taskSummaryQuery

          org.kie.internal.task.query.TaskSummaryQueryBuilder taskSummaryQuery(String userId)

      This method is not supported in EJB remote api as `TaskSummaryQueryBuilder`is not remote capable object``
      Specified by:
        `taskSummaryQuery` in interface `RuntimeDataService`
      Parameters:
        `userId` - The user associated with the tasks queried.
      Returns:
        A `TaskSummaryQueryBuilder` used to create the query.

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.